icon

We found results for “

WS-2012-0017

Good to know:

icon

Date: May 10, 2012

Apache Hadoop versions 0.23.0 to 2.0.1-alpha aren’t handling bad or malicious input, so the input isn’t validated which can lead to command injection attack.

Language: Java

Severity Score

Severity Score

Weakness Type (CWE)

Input Validation

CWE-20

Top Fix

icon

Upgrade Version

Upgrade to version 2.2.0

Learn More

CVSS v3.1

Base Score:
Attack Vector (AV): NETWORK
Attack Complexity (AC): LOW
Privilegs Required (PR): NONE
User Interaction (UI): NONE
Scope (S): UNCHANGED
Confidentiality (C): HIGH
Integrity (I): HIGH
Availability (A): HIGH

Do you need more information?

Contact Us